

#this file runs experiments of Appendix I.1.2 Query strategies ablation comparison

# which_methods
# ['Model Picker', 'Query by Committee', 'Structural Query by Committee', 'Random Sampling',
#'Importance Weighted Active Learning', 'Efficient Active Learning',
#"Oracle","CAMS","CAMS-MAX","contextual qbc","contextual iwal"])


# CIFAR10
declare -a budget=(10 15 20 25 50 100 150 200 300 400 800 1000 1200)
declare -a which_methods=(0 0 0 0 0 0 1 1 1 0 0)
python -m experiments.run_experiment -dataset cifar_contextual -stream_size 10000 -p 11 -num_reals 10 -budget ${budget[@]}  -which_methods ${which_methods[@]} >  ./task2/task2_CIFAR_query.txt &


# DRIFT
declare -a budget=(5 10 15 25 35 60 100 120 150 200 220 250 300)
declare -a which_methods=(0 0 0 0 0 0 1 1 1 0 0)
python -m experiments.run_experiment -dataset drift_contextual -stream_size 3000 -p 1 -num_reals 300 -budget ${budget[@]}  -which_methods ${which_methods[@]} >  ./task2/task2_DRIFT_query.txt &



#HIV
declare -a budget=(10 20 30 40 50 100 200 400 600 1000 2000)
declare -a which_methods=(0 0 0 0 0 0 1 1 1 0 0)
python -m experiments.run_experiment -dataset HIV_contextual -stream_size 4000 -p 0 -num_reals 200 -budget ${budget[@]}  -which_methods ${which_methods[@]} > ./task2/task2_HIV_query.txt&


# VERTEBRAL
declare -a budget=(2 12 20 30 40 50 60 80)
declare -a which_methods=(0 0 0 0 0 0 1 1 1 0 0)
python -m experiments.run_experiment -dataset VERTEBRAL_contextual -stream_size 80 -p 0 -num_reals 200 -budget ${budget[@]}  -which_methods ${which_methods[@]} >  ./task2/task2_VERTEBRAL_query.txt&
